be.fgov.ehealth.rn.commons.business.v1

## Class InformationCustomerType

- java.lang.Object
- - be.fgov.ehealth.rn.commons.business.v1.InformationCustomerType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:49:12+01:00",
                 comments="JAXB RI v2.3.7")
      public class InformationCustomerType
      extends Object
      implements Serializable

  Information block that can be used by the customer for diagnostic use.

  Java class for InformationCustomerType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="InformationCustomerType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Ticket" type="{urn:be:fgov:ehealth:rn:commons:business:v1}TicketType" minOccurs="0"/>
               <element name="TimestampSent" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="CustomerIdentification" type="{urn:be:fgov:ehealth:rn:commons:business:v1}OrganizationIdentificationType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InformationCustomerType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrganizationIdentificationType` | `getCustomerIdentification()` Gets the value of the customerIdentification property.
    `String` | `getTicket()` Gets the value of the ticket property.
    `org.joda.time.DateTime` | `getTimestampSent()` Gets the value of the timestampSent property.
    `void` | `setCustomerIdentification(OrganizationIdentificationType value)` Sets the value of the customerIdentification property.
    `void` | `setTicket(String value)` Sets the value of the ticket property.
    `void` | `setTimestampSent(org.joda.time.DateTime value)` Sets the value of the timestampSent property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InformationCustomerType

          public InformationCustomerType()

  - ### Method Detail

    - #### getTicket

          public String getTicket()

      Gets the value of the ticket property.
      Returns:
        possible object is `String`

    - #### setTicket

          public void setTicket(String value)

      Sets the value of the ticket property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTimestampSent

          public org.joda.time.DateTime getTimestampSent()

      Gets the value of the timestampSent property.
      Returns:
        possible object is `String`

    - #### setTimestampSent

          public void setTimestampSent(org.joda.time.DateTime value)

      Sets the value of the timestampSent property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCustomerIdentification

          public OrganizationIdentificationType getCustomerIdentification()

      Gets the value of the customerIdentification property.
      Returns:
        possible object is `OrganizationIdentificationType`

    - #### setCustomerIdentification

          public void setCustomerIdentification(OrganizationIdentificationType value)

      Sets the value of the customerIdentification property.
      Parameters:
        `value` - allowed object is `OrganizationIdentificationType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.